#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#  clearInternalFields.py
#    全Fieldを「0」に設定する
#
#       09/07/25    バグ修正（vectorFieldのclearがうまくいかなかった事を修正）
#       11/05/17    バグ修正（file検索でfolderも検索していたのを修正）
#

import os
import sys
import glob
import pyTreeFoam

workdir = ""
fileName = []

# clearFieldContents
def clearFieldContents(fileName):
  f = open('0/' + fileName)
  fileCat = []; cont = ""
  for line in f.readlines():
    fileCat.append(line)
  f.close
  i = 0; flag = 0; ii=0
  while (i < len(fileCat)):
    line = fileCat[i]
    if line[:13] == "internalField":
      try:
        c= line.index("nonuniform")
        ii = i + 1
        i = len(fileCat)
        flag = 1
      except:
        c = None
    i=i+1
  if flag == 1:
    i=ii
    value = fileCat[i+2]            #第1番目のデータ
    n = []
    if value[0] == "(":
      value = value[1:-2]
    n = value.split(" ")
    if len(n) == 1:
      value = "0"
    else:
      value = "("
      for a in n:
        value = value + "0 "
      value = value[:-1] + ")"
    fileCat[i-1] = "internalField    uniform " + value + ";\n"
    while (i < len(fileCat)):
      line = fileCat[i]
      if line[0] != ";":
        fileCat[i] = ""
      else:
        fileCat[i] = ""
        i=len(fileCat)
      i=i+1
    cont = ""
    for a in fileCat:
      cont = cont + a
  return cont

#
# clearField
#
def clearField():
  fileName = []
  wdir = os.getcwd()
  [folders, files] = pyTreeFoam.getFoldersFiles(wdir+"/0")
  for name in files:
    if name[-1] != "~":
      fileName.append(name)

  """
  files = glob.glob("0/*")
  for name in files:
    a=name.split("/")
    if a[-1][-1] != "~":
      fileName.append(a[-1])
  """
  clearTergetField(fileName)


def clearTergetField(fileName):
  for n in fileName:
    cont = clearFieldContents(n)
    if cont != "":
      print "   " + n + "..."
      f = open('0/' + n,'w')
      f.write(cont)
      f.close

#
#  メイン
#
if __name__ == "__main__":
    clearField()

