#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os
import glob
import pyOFLauncher

def runParaFoam():
    OpenFoamEnvFile = "~/TreeFoam/bashrc-FOAM-1.7.1"
    wdir = os.getcwd()
    region = glob.glob(wdir + "/constant/cellToRegion")
    if len(region) == 1:
        # Regionがある場合、読み込みファイルを作成
        timeFolders = pyOFLauncher.getTimeFolders(wdir)
        allFiles = pyOFLauncher.getFoldersFiles(wdir + "/" + timeFolders[0])
        folders = allFiles[0]
        command = ". " + OpenFoamEnvFile + "\n"
        for folder in folders:
            command = command + "paraFoam -touch -region " + folder + "\n"
        os.system(command)
    # paraFoam を起動
    command = ". " + OpenFoamEnvFile + "; paraFoam & "
    os.system(command)


runParaFoam()

